Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.threetier
Class ExternalConnectionPool

`java.lang.Object
oracle.toplink.threetier.ConnectionPool
oracle.toplink.threetier.ExternalConnectionPool`

public class ExternalConnectionPool
extends ConnectionPool

Purpose: This subclass is intended to be used with external connection pools. For these pools, TopLink does not control the pooling behaviour. The login should have the usesExternalConnectionPooling set to "true".

Constructor Summary
`ExternalConnectionPool()` PUBLIC: Build a new external connection pool.
`ExternalConnectionPool(java.lang.String name, Login login, oracle.toplink.threetier.ServerSession owner)` PUBLIC: Build a new external connection pool.

Methods inherited from class oracle.toplink.threetier.ConnectionPool
`getLogin, getMaxNumberOfConnections, getMinNumberOfConnections, getName, setLogin, setMaxNumberOfConnections, setMinNumberOfConnections, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalConnectionPool

    public ExternalConnectionPool()

  PUBLIC: Build a new external connection pool. The JDBC driver is responsible for pooling the connections.

### ExternalConnectionPool

    public ExternalConnectionPool(java.lang.String name,
                                  Login login,
                                  oracle.toplink.threetier.ServerSession owner)

  PUBLIC: Build a new external connection pool. The JDBC driver is responsible for pooling the connections.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD